### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-button/ecl-button.component.ts`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

providers | `NgClass`
selector | `button[eclButton], button[ecl-button]`
templateUrl | `./ecl-button.component.html`

### Index

###### Properties
iconComponents
###### Inputs
containerStyleClass styleClass type variant
###### HostBindings
class.ecl-button
###### Accessors
type

### Constructor

`constructor(ngClass: NgClass)`
Parameters :
Name | Type | Optional
ngClass | `NgClass` | No

### Inputs

containerStyleClass
Type : `string`

styleClass
Type : `string`

type
Type : `string`

variant
Type : `string`
Default value : `'primary'`

### HostBindings

class.ecl-button
Default value : `true`

### Properties

iconComponents
Type : `QueryList<EclIconComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

type
set `type(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

# result-matching ""

# No results matching ""